﻿namespace RPG.Network.Proto;
public static class CmdType
{
    public const ushort CmdTypeNone = 0;
    public const ushort CmdPlayerLoginCsReq = 1;
    public const ushort CmdPlayerLoginScRsp = 2;
    public const ushort CmdPlayerLogoutCsReq = 3;
    public const ushort CmdPlayerLogoutScRsp = 4;
    public const ushort CmdPlayerGetTokenCsReq = 5;
    public const ushort CmdPlayerGetTokenScRsp = 6;
    public const ushort CmdPlayerKeepAliveNotify = 7;
    public const ushort CmdGmTalkScNotify = 8;
    public const ushort CmdPlayerKickOutScNotify = 9;
    public const ushort CmdGmTalkCsReq = 10;
    public const ushort CmdGmTalkScRsp = 11;
    public const ushort CmdGetStaminaExchangeCsReq = 12;
    public const ushort CmdGetStaminaExchangeScRsp = 13;
    public const ushort CmdExchangeStaminaCsReq = 14;
    public const ushort CmdExchangeStaminaScRsp = 15;
    public const ushort CmdGetAuthkeyCsReq = 16;
    public const ushort CmdGetAuthkeyScRsp = 17;
    public const ushort CmdRegionStopScNotify = 18;
    public const ushort CmdAntiAddictScNotify = 19;
    public const ushort CmdSetNicknameCsReq = 20;
    public const ushort CmdSetNicknameScRsp = 21;
    public const ushort CmdGetLevelRewardTakenListCsReq = 22;
    public const ushort CmdGetLevelRewardTakenListScRsp = 23;
    public const ushort CmdGetLevelRewardCsReq = 24;
    public const ushort CmdGetLevelRewardScRsp = 25;
    public const ushort CmdSyncTimeCsReq = 26;
    public const ushort CmdSyncTimeScRsp = 27;
    public const ushort CmdSetLanguageCsReq = 28;
    public const ushort CmdSetLanguageScRsp = 29;
    public const ushort CmdServerAnnounceNotify = 30;
    public const ushort CmdPVEBattleResultCsReq = 101;
    public const ushort CmdPVEBattleResultScRsp = 102;
    public const ushort CmdQuitBattleCsReq = 103;
    public const ushort CmdQuitBattleScRsp = 104;
    public const ushort CmdGetCurBattleInfoCsReq = 105;
    public const ushort CmdGetCurBattleInfoScRsp = 106;
    public const ushort CmdSyncClientResVersionCsReq = 107;
    public const ushort CmdSyncClientResVersionScRsp = 108;
    public const ushort CmdGetStageDataCsReq = 201;
    public const ushort CmdGetStageDataScRsp = 202;
    public const ushort CmdStageBeginCsReq = 203;
    public const ushort CmdStageBeginScRsp = 204;
    public const ushort CmdGetAvatarDataCsReq = 301;
    public const ushort CmdGetAvatarDataScRsp = 302;
    public const ushort CmdAvatarExpUpCsReq = 303;
    public const ushort CmdAvatarExpUpScRsp = 304;
    public const ushort CmdUnlockSkilltreeCsReq = 305;
    public const ushort CmdUnlockSkilltreeScRsp = 306;
    public const ushort CmdPromoteAvatarCsReq = 307;
    public const ushort CmdPromoteAvatarScRsp = 308;
    public const ushort CmdDressAvatarCsReq = 309;
    public const ushort CmdDressAvatarScRsp = 310;
    public const ushort CmdTakeOffEquipmentCsReq = 311;
    public const ushort CmdTakeOffEquipmentScRsp = 312;
    public const ushort CmdAddAvatarScNotify = 313;
    public const ushort CmdGetWaypointCsReq = 401;
    public const ushort CmdGetWaypointScRsp = 402;
    public const ushort CmdSetCurWaypointCsReq = 403;
    public const ushort CmdSetCurWaypointScRsp = 404;
    public const ushort CmdGetChapterCsReq = 405;
    public const ushort CmdGetChapterScRsp = 406;
    public const ushort CmdWaypointShowNewCsNotify = 407;
    public const ushort CmdTakeChapterRewardCsReq = 408;
    public const ushort CmdTakeChapterRewardScRsp = 409;
    public const ushort CmdGetBagCsReq = 501;
    public const ushort CmdGetBagScRsp = 502;
    public const ushort CmdPromoteEquipmentCsReq = 503;
    public const ushort CmdPromoteEquipmentScRsp = 504;
    public const ushort CmdLockEquipmentCsReq = 505;
    public const ushort CmdLockEquipmentScRsp = 506;
    public const ushort CmdUseItemCsReq = 507;
    public const ushort CmdUseItemScRsp = 508;
    public const ushort CmdRankUpEquipmentCsReq = 509;
    public const ushort CmdRankUpEquipmentScRsp = 510;
    public const ushort CmdExpUpEquipmentCsReq = 511;
    public const ushort CmdExpUpEquipmentScRsp = 512;
    public const ushort CmdUseItemFoodCsReq = 513;
    public const ushort CmdUseItemFoodScRsp = 514;
    public const ushort CmdComposeItemCsReq = 515;
    public const ushort CmdComposeItemScRsp = 516;
    public const ushort CmdPlayerSyncScNotify = 601;
    public const ushort CmdGetStageLineupCsReq = 701;
    public const ushort CmdGetStageLineupScRsp = 702;
    public const ushort CmdGetCurLineupDataCsReq = 703;
    public const ushort CmdGetCurLineupDataScRsp = 704;
    public const ushort CmdJoinLineupCsReq = 705;
    public const ushort CmdJoinLineupScRsp = 706;
    public const ushort CmdQuitLineupCsReq = 707;
    public const ushort CmdQuitLineupScRsp = 708;
    public const ushort CmdSwapLineupCsReq = 709;
    public const ushort CmdSwapLineupScRsp = 710;
    public const ushort CmdSyncLineupNotify = 711;
    public const ushort CmdGetLineupAvatarDataCsReq = 712;
    public const ushort CmdGetLineupAvatarDataScRsp = 713;
    public const ushort CmdChangeLineupLeaderCsReq = 714;
    public const ushort CmdChangeLineupLeaderScRsp = 715;
    public const ushort CmdSwitchLineupIndexCsReq = 716;
    public const ushort CmdSwitchLineupIndexScRsp = 717;
    public const ushort CmdSetLineupNameCsReq = 718;
    public const ushort CmdSetLineupNameScRsp = 719;
    public const ushort CmdGetAllLineupDataCsReq = 720;
    public const ushort CmdGetAllLineupDataScRsp = 721;
    public const ushort CmdVirtualLineupDestroyNotify = 722;
    public const ushort CmdGetMailCsReq = 801;
    public const ushort CmdGetMailScRsp = 802;
    public const ushort CmdMarkReadMailCsReq = 803;
    public const ushort CmdMarkReadMailScRsp = 804;
    public const ushort CmdDelMailCsReq = 805;
    public const ushort CmdDelMailScRsp = 806;
    public const ushort CmdTakeMailAttachmentCsReq = 807;
    public const ushort CmdTakeMailAttachmentScRsp = 808;
    public const ushort CmdNewMailScNotify = 809;
    public const ushort CmdGetQuestDataCsReq = 901;
    public const ushort CmdGetQuestDataScRsp = 902;
    public const ushort CmdTakeQuestRewardCsReq = 903;
    public const ushort CmdTakeQuestRewardScRsp = 904;
    public const ushort CmdGetMazeCsReq = 1001;
    public const ushort CmdGetMazeScRsp = 1002;
    public const ushort CmdChooseMazeSeriesCsReq = 1003;
    public const ushort CmdChooseMazeSeriesScRsp = 1004;
    public const ushort CmdChooseMazeAbilityCsReq = 1005;
    public const ushort CmdChooseMazeAbilityScRsp = 1006;
    public const ushort CmdEnterMazeCsReq = 1007;
    public const ushort CmdEnterMazeScRsp = 1008;
    public const ushort CmdMazeBuffScNotify = 1011;
    public const ushort CmdCastMazeSkillCsReq = 1012;
    public const ushort CmdCastMazeSkillScRsp = 1013;
    public const ushort CmdMazePlaneEventScNotify = 1014;
    public const ushort CmdEnterMazeByServerScNotify = 1015;
    public const ushort CmdGetMazeMapInfoCsReq = 1016;
    public const ushort CmdGetMazeMapInfoScRsp = 1017;
    public const ushort CmdFinishPlotCsReq = 1101;
    public const ushort CmdFinishPlotScRsp = 1102;
    public const ushort CmdGetMissionDataCsReq = 1201;
    public const ushort CmdGetMissionDataScRsp = 1202;
    public const ushort CmdFinishTalkMissionCsReq = 1203;
    public const ushort CmdFinishTalkMissionScRsp = 1204;
    public const ushort CmdMissionRewardScNotify = 1205;
    public const ushort CmdSyncTaskCsReq = 1206;
    public const ushort CmdSyncTaskScRsp = 1207;
    public const ushort CmdDailyTaskDataScNotify = 1208;
    public const ushort CmdTakeDailyTaskExtraRewardCsReq = 1209;
    public const ushort CmdTakeDailyTaskExtraRewardScRsp = 1210;
    public const ushort CmdDailyTaskRewardScNotify = 1211;
    public const ushort CmdMissionGroupWarnScNotify = 1212;
    public const ushort CmdFinishCosumeItemMissionCsReq = 1213;
    public const ushort CmdFinishCosumeItemMissionScRsp = 1214;
    public const ushort CmdEnterAdventureCsReq = 1301;
    public const ushort CmdEnterAdventureScRsp = 1302;
    public const ushort CmdSceneEntityMoveCsReq = 1401;
    public const ushort CmdSceneEntityMoveScRsp = 1402;
    public const ushort CmdInteractPropCsReq = 1403;
    public const ushort CmdInteractPropScRsp = 1404;
    public const ushort CmdSceneCastSkillCsReq = 1405;
    public const ushort CmdSceneCastSkillScRsp = 1406;
    public const ushort CmdGetCurSceneInfoCsReq = 1407;
    public const ushort CmdGetCurSceneInfoScRsp = 1408;
    public const ushort CmdSceneEntityUpdateScNotify = 1409;
    public const ushort CmdSceneEntityDisappearScNotify = 1410;
    public const ushort CmdSceneEntityMoveScNotify = 1411;
    public const ushort CmdWaitCustomStringCsReq = 1412;
    public const ushort CmdWaitCustomStringScRsp = 1413;
    public const ushort CmdSpringTransferCsReq = 1414;
    public const ushort CmdSpringTransferScRsp = 1415;
    public const ushort CmdUpdateBuffScNotify = 1416;
    public const ushort CmdDelBuffScNotify = 1417;
    public const ushort CmdSpringRefreshCsReq = 1418;
    public const ushort CmdSpringRefreshScRsp = 1419;
    public const ushort CmdLastSpringRefreshTimeNotify = 1420;
    public const ushort CmdReturnLastTownCsReq = 1421;
    public const ushort CmdReturnLastTownScRsp = 1422;
    public const ushort CmdSceneEnterStageCsReq = 1423;
    public const ushort CmdSceneEnterStageScRsp = 1424;
    public const ushort CmdEnterSectionCsReq = 1427;
    public const ushort CmdEnterSectionScRsp = 1428;
    public const ushort CmdSetCurInteractEntityCsReq = 1431;
    public const ushort CmdSetCurInteractEntityScRsp = 1432;
    public const ushort CmdRecoverAllLineupCsReq = 1433;
    public const ushort CmdRecoverAllLineupScRsp = 1434;
    public const ushort CmdSavePointsInfoNotify = 1435;
    public const ushort CmdStartCocoonStageCsReq = 1436;
    public const ushort CmdStartCocoonStageScRsp = 1437;
    public const ushort CmdEntityBindPropCsReq = 1438;
    public const ushort CmdEntityBindPropScRsp = 1439;
    public const ushort CmdSetClientPausedCsReq = 1440;
    public const ushort CmdSetClientPausedScRsp = 1441;
    public const ushort CmdPropBeHitCsReq = 1442;
    public const ushort CmdPropBeHitScRsp = 1443;
    public const ushort CmdGetShopListCsReq = 1501;
    public const ushort CmdGetShopListScRsp = 1502;
    public const ushort CmdBuyGoodsCsReq = 1503;
    public const ushort CmdBuyGoodsScRsp = 1504;
    public const ushort CmdGetTutorialCsReq = 1601;
    public const ushort CmdGetTutorialScRsp = 1602;
    public const ushort CmdGetTutorialGuideCsReq = 1603;
    public const ushort CmdGetTutorialGuideScRsp = 1604;
    public const ushort CmdUnlockTutorialCsReq = 1605;
    public const ushort CmdUnlockTutorialScRsp = 1606;
    public const ushort CmdUnlockTutorialGuideCsReq = 1607;
    public const ushort CmdUnlockTutorialGuideScRsp = 1608;
    public const ushort CmdFinishTutorialCsReq = 1609;
    public const ushort CmdFinishTutorialScRsp = 1610;
    public const ushort CmdFinishTutorialGuideCsReq = 1611;
    public const ushort CmdFinishTutorialGuideScRsp = 1612;
    public const ushort CmdGetChallengeCsReq = 1701;
    public const ushort CmdGetChallengeScRsp = 1702;
    public const ushort CmdStartChallengeCsReq = 1703;
    public const ushort CmdStartChallengeScRsp = 1704;
    public const ushort CmdLeaveChallengeCsReq = 1705;
    public const ushort CmdLeaveChallengeScRsp = 1706;
    public const ushort CmdChallengeSettleNotify = 1707;
    public const ushort CmdFinishChallengeCsReq = 1708;
    public const ushort CmdFinishChallengeScRsp = 1709;
}