﻿using Microsoft.Extensions.Hosting;
using RPG.Services.Core.Extensions;
using RPG.Services.Gameserver.Network.Command;

namespace RPG.Services.Gameserver;

internal static class Program
{
    private static async Task Main(string[] args)
    {
        Console.Title = "Snowflake | Gameserver";

        HostApplicationBuilder builder = Host.CreateApplicationBuilder(args);

        builder.SetupRPGService<RPGGameserver, GameserverCommandHandler>();

        await builder.Build().RunAsync();
    }
}
